#!/bin/sh

# Shell script to determine how close we are to final release
# If one of these values are bigger zero we still have to do something
#
if ! test -e "modules.php"; then
  echo "$0: Please execute this script from root directory."
  exit 1
fi

echo "$0: Analyzing..."
echo " - TODOs..."
TODOS=`find -type f -name "*.php" -exec grep "@TODO" {} \; | grep "@" --count`
echo " - DEPRECATED PHP..."
DEPRECATED_PHP=`find -type f -name "*.php" -exec grep "@DEPRECATED" {} \; | grep "@" --count`
echo " - DEPRECATED TPL..."
DEPRECATED_TPL=`find -type f -name "*.tpl" -exec grep "@DEPRECATED" {} \; | grep "@" --count`
echo " - global statements..."
GLOBALS=`find -type f -name "*.php" -exec grep -Hn "global " {} \; | grep -v "//" | grep -v "phpmailer" --count`
echo "$0: Result..."
echo "--------------------------------------"
echo " - Open TODOs: ${TODOS}"
echo " - Open DEPRECATED (PHP/TPL): ${DEPRECATED_PHP}/${DEPRECATED_TPL}"
echo " - global statements: ${GLOBALS}"
echo "--------------------------------------"
echo "$0: Thanks for waiting for the final release 0.2.1-FINAL! :-)"
echo
exit 0
