<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 11/04/2009 *
 * ================                             Last change: 11/04/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_networks.php                           *
 * -------------------------------------------------------------------- *
 * Short description : List all supported sponsor networks              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Listet alle supportierten Werbenetzwerke auf     *
 * -------------------------------------------------------------------- *
 * $Revision:: 856                                                    $ *
 * $Date:: 2009-03-06 20:24:32 +0100 (Fr, 06. March 2009)             $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author:: stelzi                                                   $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

// By default we should display list/add new forms
$GLOBALS['network_display'] = true;

// Was the form sent?
if ((isFormSent()) || (isPostRequestElementSet('edit')) || (isPostRequestElementSet('del'))) {
	// Do we have a 'do'?
	if (isGetRequestElementSet('do')) {
		// Process the request
		doAdminNetworkProcessForm();
	} else {
		// No 'do' found
		loadTemplate('admin_settings_saved', false, getMessage('ADMIN_NETWORK_DO_404'));
	}
} // END - if

// Display forms?
if ($GLOBALS['network_display'] === false) {
	// Abort here
	return;
} // END - if

// Query for networks
$result = SQL_QUERY('SELECT
	`network_id`, `network_short_name`, `network_title`, `network_reflink`, `network_data_seperator`, `network_row_seperator`, `network_request_type`, `network_charset`
FROM
	`{?_MYSQL_PREFIX?}_network_data`
ORDER BY
	`network_title` ASC', __FILE__, __LINE__);

// Do we have entries?
if (SQL_NUMROWS($result) > 0) {
	// List all
	$SW = 2; $OUT = '';
	while ($content = SQL_FETCHARRAY($result)) {
		// Add/translate entries
		$content['sw'] = $SW;

		// Load row template
		$OUT .= loadTemplate('admin_list_networks_row', true, $content);

		// Switch color
		$SW = 3 - $SW;
	} // END - while

	// Load main template
	loadTemplate('admin_list_networks', false, $OUT);
} else {
	// Display a message that there are sponsor networks supported, yet
	loadTemplate('admin_settings_saved', false, getMessage('ADMIN_NETWORK_NONE_SUPPORTED'));
}

// Free result
SQL_FREERESULT($result);

// Add form for adding new entry
loadTemplate('admin_add_network');

// [EOF]
?>
