<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/19/2003 *
 * ===============                              Last change: 11/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-points.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : All your collected points...                     *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle Ihrer gesammelten Punkte                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addMenuDescription('member', __FILE__);

// Query for referal levels and percents
$result_depths = SQL_QUERY("SELECT `level`, `percents` FROM `{?_MYSQL_PREFIX?}_refdepths` ORDER BY `level` ASC", __FILE__, __LINE__);
$depths = SQL_NUMROWS($result_depths);

// Add many more rows for the login/turbo/ref/order bonus
// @TODO Should we rewrite this to a filter?
if (!isExtensionActive('bonus')) $depths += 1;
if (getExtensionVersion('bonus') >= '0.2.2') $depths += 6;
if (getExtensionVersion('bonus') >= '0.4.4') $depths += 4;

// Remember row count in constant
$content['rowspan'] = ($depths*2+15);

// Init some vars...
$totalPoints = '0'; $TREF = '0'; $TLOCK = '0'; $OUT = '';

// Load ref levels
while ($data = SQL_FETCHARRAY($result_depths)) {
	// Merge it together
	$content = merge_array($content, $data);

	// Initialize ref-count
	$REFS = '0';

	// Load referal points
	$result_points = SQL_QUERY_ESC("SELECT `points`, `locked_points` FROM `{?_MYSQL_PREFIX?}_user_points` WHERE `userid`=%s AND `ref_depth`='%s' LIMIT 1", array(getMemberId(), bigintval($content['level'])), __FILE__, __LINE__);
	if (SQL_NUMROWS($result_points) == 1) {
			list($points, $locked) = SQL_FETCHROW($result_points);
		// Also count locked points
		$totalPoints += $points; $TLOCK += $locked;
	} else {
		$points = '0.00000'; $locked = '0.00000';
	}

	// Free result
	SQL_FREERESULT($result_points);

	// Load referal counts
	$result_refs = SQL_QUERY_ESC("SELECT `counter` FROM `{?_MYSQL_PREFIX?}_refsystem` WHERE `userid`=%s AND `level`='%s' LIMIT 1",
		array(getMemberId(), bigintval($content['level'])), __FILE__, __LINE__);
	if (SQL_NUMROWS($result_refs) == 1) {
		list($REFS) = SQL_FETCHROW($result_refs);
		$TREF += $REFS;
	} else {
		$REFS = '0';
	}

	// Free result
	SQL_FREERESULT($result_refs);

	// Transfer data to array for template
	$row = array(
		'level'    => $content['level'],
		'percents' => translateComma($content['percents']),
		'points'   => translateComma($points),
		'refs'     => translateComma($REFS),
	);

	// Output row
	$OUT .= loadTemplate('member_points_row', true, $row);
} // END - while

// Free memory
SQL_FREERESULT($result_depths);

// Put rows to constant for the main template
$content['rows'] = $OUT;

// Fetch user account
if (!fetchUserData(getMemberId())) {
	// Something really bad happened
	debug_report_bug('User account ' . getMemberId() . ' not found.');
} // END - if

// Initialize variables
$CONFIRMED = '---'; $SENT = '---'; $RECEIVED = '---';

// Only user >= v0.1.2: Fetch confirmed mails counter
if (getExtensionVersion('user') >= '0.1.2') {
	$add = '';
	$CONFIRMED = getUserData('mails_confirmed');

	if (getExtensionVersion('user') >= '0.1.4') {
		$SENT     = getUserData('emails_sent');
		$RECEIVED = getUserData('emails_received');
	} // END - if

	// Please update the user extension if you see 3 dashes
	if (empty($SENT))     $SENT     = '---';
	if (empty($RECEIVED)) $RECEIVED = '---';
} else {
	// Please update!
	$CONFIRMED = '---';
}

// If TLOCK is 0 add 3 zeros for floating
if ($TLOCK == '0') $TLOCK = '0.00000';

// Remember several values in constants
$content['used']  = translateComma(getUserData('used_points'));
$content['sum']   = translateComma($totalPoints - getUserData('used_points'));
$content['tref']  = $TREF;
$content['tlock'] = translateComma($TLOCK);

// Fixes a bug when there is no bonus extension installed
if (isExtensionOlder('bonus', '0.4.4')) setConfigEntry('bonus_active', "X");

// Members shall see no special rows here
$content['special_rows'] = '';

// Display login bonus and turbo-click bonus
if ((getExtensionVersion('bonus') >= '0.2.2') && (isExtensionActive('bonus')) && (getConfig('bonus_active') == 'Y')) {
	// Fetch some data and init others (to avoid a notice here)
	$content['login'] = getUserData('login_bonus');
	$content['turbo'] = getUserData('turbo_bonus');
	$content['ref']   = '0.00000';
	$content['order'] = '0.00000';
	$content['stats'] = '0.00000';

	// Get more data if ext-bonus is newer
	if (getExtensionVersion('bonus') >= '0.4.4') {
		$content['ref']   = getUserData('bonus_ref');
		$content['order'] = getUserData('bonus_order');
		$content['stats'] = getUserData('bonus_stats');
	} // END - if

	// Total bonus points
	$content['ttotal'] = translateComma($content['turbo'] + $content['login'] + $content['ref'] + $content['order'] + $content['stats']);

	// Translate more data
	$content['turbo'] = translateComma($content['turbo']);
	$content['login'] = translateComma($content['login']);

	if (getExtensionVersion('bonus') >= '0.4.4') {
		// Add referal, stats and order bonys
		$content['ref']   = translateComma($content['ref']);
		$content['order'] = translateComma($content['order']);
		$content['stats'] = translateComma($content['stats']);
	} // END - if

	// Output rows
	$content['special_rows'] = loadTemplate('member_points_bonus_rows', true, $content);
} elseif (getConfig('bonus_active') != 'Y') {
	// Bonus active rallye deactivated
	$content['special_rows'] = loadTemplate('member_points_bonus_disabled', true);
} elseif ((isAdmin()) && (isExtensionOlder('bonus', '0.2.2')) && (isExtensionActive('bonus'))) {
	// Please upgrade your bonus extension to v0.2.2 or newer!
	$content['special_rows'] = loadTemplate('member_points_upgrade');
}

// Remeber values for the final template
$content['receive']   = $RECEIVED;
$content['pay']       = getUserData('ref_payout');
$content['confirmed'] = $CONFIRMED;
$content['sent']      = $SENT;

// Load final template
if (isExtensionActive('user')) {
	// Load template when required extension is there
	loadTemplate('member_points', false, $content);
} elseif (isAdmin()) {
	// Missing extension
	loadTemplate('admin_settings_saved', false, generateExtensionInactiveNotInstalledMessage('user'));
} else {
	// Message for user
	loadTemplate('admin_settings_saved', false, getMessage('PROBLEM_POINTS_OVERVIEW_UNAVAILABLE'));
}

if (isExtensionActive('payout')) {
	// Payput extension is installed and active so we can check if the user has enougth points
	outputPayoutList(convertCommaToDot(($totalPoints - getUserData('used_points'))));
} // END - if

// [EOF]
?>
